Get repository file preview
GET/api/repos/{owner}/{repo}/blob
getRepositoryBlob
Returns a preview payload for the selected repository file path.
Authentication is not described for this operation in the spec — that does not mean it is public. Check tokens and scopes.
curl
curl -X GET 'https://neosource.dev/api/repos/OWNER/REPO/blob'fetch
fetch("https://neosource.dev/api/repos/OWNER/REPO/blob", {
method: "GET",
});Path parameters
ownerrequiredRepository owner or organization slug.
reporequiredRepository name.
Query parameters
refBookmark name to read from. Defaults to the repository default branch.
pathSlash-delimited repository path relative to the selected ref root.
Responses
200Repository file preview
application/json
Standard errors
Bodies documented once for the whole API — see standard errors.
- 400Bad Request — one of: invalid_input
- 403Forbidden — one of: forbidden
- 404Not Found — one of: not_found
- 423Locked — one of: busy
- 429Rate limited — retry after the interval in the `Retry-After` header
- 500Internal server error
- 503Service temporarily unavailable / at capacity — retry after the `Retry-After` header
- 504Gateway timeout — the request exceeded the server's handling budget